petsc-3.15.0 2021-03-30
Report Typos and Errors

# PCHPDDMShellMatApply

Variant of PCHPDDMShellApply() for blocks of vectors

### Synopsis

    #include "petscpc.h"
    static PetscErrorCode PCHPDDMShellMatApply(PC pc, Mat X, Mat Y)

### Input Parameters

| pc | - preconditioner context
| X | - block of input vectors

### Output Parameter

| Y | - block of output vectors

Application Interface Routine: PCApply()

### See Also

PCHPDDM, PCHPDDMShellMatApply(), PCHPDDMCoarseCorrectionType

### Level

advanced

### Location

src/ksp/pc/impls/hpddm/hpddm.cxx
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages